# $Revision: 1.35 $, $Date: 2006/05/27 17:08:09 $
Summary:	Wireless ethernet configuration tools
Summary(pl):	Narzdzia do konfiguracji sieci bezprzewodowej
Summary(pt_BR):	Ferramentas para redes sem fio
Name:		wireless-tools
Version:	28
Release:	1
Epoch:		1
License:	GPL v2
Group:		Networking/Admin
Source0:	http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/wireless_tools.%{version}.tar.gz
# Source0-md5:	599c94497f9c9073c7b052d3dcb7cd16
Patch0:		%{name}-llh.patch
Patch1:		%{name}-optflags.patch
URL:		http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%define		specflags	-fno-strict-aliasing

%description
This package contains the Wireless tools, used to manipulate the
Wireless Extensions. The Wireless Extension is an interface allowing
you to set Wireless LAN specific parameters and get the specific stats
for wireless networking equipment.

%description -l pl
Narzdzie uywane do manipulacji Rozszerzeniami Bezprzewodowymi.
Rozszerzenia Bezprzewodowe to interfejs pozwalajcy na ustawianie
parametrw i uzyskiwanie statystyk na temat bezprzewodowych urzdze.

%description -l pt_BR
Este pacote contm ferramentas para redes sem fio, utilizadas para
manipular as wireless extensions. Wireless extensions  uma interface
que permite que voc modifique parmetros especficos para redes sem
fio e verificar estatsticas sobre estas.

%package -n libiw
Summary:	Wireless Extension library
Summary(pl):	Biblioteka rozszerze bezprzewodowych
Group:		Libraries

%description -n libiw
Wireless Extension library.

%description -n libiw -l pl
Biblioteka rozszerze bezprzewodowych.

%package -n libiw-devel
Summary:	Wireless Extension library (development files)
Summary(pl):	Biblioteka rozszerze bezprzewodowych (pliki developerskie)
Group:		Development/Libraries
Requires:	libiw = %{epoch}:%{version}-%{release}

%description -n libiw-devel
Wireless Extension library (development files).

%description -n libiw-devel -l pl
Biblioteka rozszerze bezprzewodowych (pliki developerskie).

%package -n libiw-static
Summary:	Wireless Extension library (static library)
Summary(pl):	Biblioteka rozszerze bezprzewodowych (biblioteka statyczna)
Group:		Development/Libraries
Requires:	libiw-devel = %{epoch}:%{version}-%{release}

%description -n libiw-static
Wireless Extension library (static library).

%description -n libiw-static -l pl
iblioteka rozszerze bezprzewodowych (biblioteka statyczna).

%prep
%setup -q -n wireless_tools.%{version}
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" OPT="%{rpmcflags}" \
	KERNEL_SRC=%{_kernelsrcdir} \
	OPTFLAGS="%{rpmcflags}"

sed -i -e 's#.*BUILD_STATIC = y#BUILD_STATIC = y#g' Makefile
%{__make} libiw.a \
	CC="%{__cc}" OPT="%{rpmcflags}" \
	KERNEL_SRC=%{_kernelsrcdir} \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_libdir},%{_includedir},%{_mandir}/man8}

%{__make} install install-dynamic install-static \
	INSTALL_DIR=$RPM_BUILD_ROOT%{_sbindir} \
	INSTALL_LIB=$RPM_BUILD_ROOT%{_libdir} \
	INSTALL_INC=$RPM_BUILD_ROOT%{_includedir} \
	INSTALL_MAN=$RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libiw -p /sbin/ldconfig
%postun -n libiw -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc READ* INSTA* PCM*
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man?/*

%files -n libiw
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*

%files -n libiw-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*.h

%files -n libiw-static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wireless-tools.spec,v $
Revision 1.35  2006/05/27 17:08:09  maciek2w
- fix changelog

Revision 1.34  2006/05/27 17:04:32  maciek2w
- updated to stable 28

Revision 1.33  2006/03/19 23:07:37  pluto
- updated to 28pre15.

Revision 1.32  2005/10/09 22:59:07  petec
- up to pre9

Revision 1.31  2005/08/03 08:51:05  freetz
- use our rpmcflags (optflags patch)

Revision 1.30  2005/07/12 23:29:23  jpc
- up to pre8
- add a patch to suppress llh warning

Revision 1.29  2005/05/25 23:16:44  arekm
- 28pre6

Revision 1.28  2004/11/08 09:30:34  arekm
- final 27

Revision 1.27  2004/10/31 13:50:00  paladine
- spaces->tabs
- formatting

Revision 1.26  2004/09/08 23:49:44  arekm
- updated to pre26 (fixes in KEYs parsing)

Revision 1.25  2004/08/20 20:21:10  arekm
- updated to pre25

Revision 1.24  2004/06/28 01:14:10  arekm
- updated to pre23

Revision 1.23  2004/03/14 11:43:59  adgor
- Deps

Revision 1.22  2004/03/13 21:34:28  arekm
- epoch1

Revision 1.21  2004/03/13 21:31:56  arekm
- 27 pre16

Revision 1.20  2004/03/07 22:16:42  ankry
- en spelling

Revision 1.19  2004/01/29 20:53:49  undefine
- include pre in release string

Revision 1.18  2004/01/29 15:05:11  djurban
- updated to pre9

Revision 1.17  2004/01/18 03:19:11  arekm
- updated to 27 pre7 (recompilation when WE is different no longer needed)

Revision 1.16  2003/08/01 17:57:41  arekm
- always build against current kernel

Revision 1.15  2003/07/17 11:33:24  arekm
- updated to 26

Revision 1.14  2003/05/28 13:02:51  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:27:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2002/08/28 17:26:16  misiek
- there is no wavelan script

Revision 1.11  2002/08/28 17:14:40  misiek
- updated to version 25; new subpackages: libiw, libiw-devel and libiw-static

Revision 1.10  2002/07/16 09:05:39  misiek
- use /sbin, removed evil initscript

Revision 1.9  2002/05/10 21:41:45  kloczek
- merge translations frm Conectiva.

Revision 1.8  2002/05/10 21:11:11  qboosh
- typo

Revision 1.7  2002/05/10 19:50:09  undefine
- update to 24. stbr

Revision 1.6  2002/02/23 05:04:59  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:58  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 08:38:09  qboosh
- s/Administacyjne/Administracyjne/

Revision 1.3  2002/01/18 02:15:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/11/27 02:56:04  michuz
- release 1
- added init script to configure wavelan interfaces

Revision 1.1  2001/05/10 14:47:48  misiek
- initial pld release
